Hi
i am trying to develop a UI where user selects a feature like pad or something 3d body from the list and i need to show the picture of the selected feature in the user interface
i need to know which framework,interface or class handles the taking pictures in CAA CATIA
Thanks
Hello
i am trying to create points using excel X Y Z data
below is the code i have written in VBA, How can i write it without using while or if conditions
Dim opartDoc As Document
Set opartDoc = CATIA.Documents.Add("Part")
Dim oprt As Part
Set oprt = opartDoc.Part...
Hello Everyone
I am trying to understand how to add extra options into contextual menu (When user right clicks on any feature a menu displays)
there is a use case in CAA Encyclopedia, i am trying to understand but cant get it
here are some images related to the use case
any...
Hello all
i am trying to create a point using EKL method but i am getting this error
i have created a point also from formulas tab
i tried the following code from catiawidgets.net website
// Construct a Point by coordinates
Let ioPoint ( Point )
ioPoint = point( 0mm , 10mm , 20mm )
//...
Hello all
i am trying to create a macro to activate top main product of a assembly
i tried Product.Activate didnt work
catia.startcommand "frmActivate"
didnt work
is there any way
when i run the macro the mainproduc1 should be in Blue color means that is the active editing product in tree...
Hello all
i need to create a sweep using SweepLinetype and i need to use Axis system directions as Spine
i cant create line in X or Y or Z directions and use them as Spine
i need to select the Axis system and when axis system is selected i need to get the Y direction as spine
as shown in...
Hello all
i want create a macro to collapse specification tree completely, i tried with following code
CATIA.StartCommand "Collapse All"
i used this method after checking one of the thread from here
but it is not working for some parts with big specification tree it will collapse tree...
Hello all
i am new to CAA
i am trying to get value from CATDlgEditor
i used following code
double dNumOfPoints = m_pCreatePntsDlg->GetEditor()->GetValue();
but i cant get the entered value in Editor, getting 0
i used GetText() method but i tried to convert in to double using ConvertToNUM...
hello
i have been trying to Unfold surfaces in catia VBA using AddNewUnfold in HybridShapeFasctory
but i am getting this error
how to unfold using VBA
method is there in HybridShapeFactory
cant use it
all the references are there in COM list
Hello all
i need to collect only vertical edges from surfaces like this (below image)
i tried one method it worked like 60% but i need to collect only vertical edges regardless of any axis orientation
Thanks
Hi
i have been trying to use CATIA.StartCommand on UNTRIM command for multiple surfaces
i tried looping it but it is not working for multiple surface i tried adding the surfaces to selection or collection
and tried looping but script ran fine but only first element gets untrimmed
here is...
HI
i just started learning CAA c++ customization i have written code to create session and create PART Document
but the code is opening catia but not creating PART document
here is the script
#include <iostream>
#include "CATSession.h" //Header file to create Session
#include...
Hi everyone
I need to know how to deactivate a product or component in a assembly
i used DesactivateDefaultShape method but didnt work
tried product.DesactivateDefaultShape, macro didnt throw any error but i didnt get the result
any thoughts on this, i just want to deactive many products in a...
HI all
i have problem in catia where i need to create a line using direction vectors the line must be in 5 deg multiples with each axis
for example 35deg with Z-axis,65deg with Y-axis and 95deg with X-Axis like the value may vary
this is about direction cosines and direction ratios
i need to...
Hi Everyone
i have a part in a assembly
i need to assemble a bracket on to main assembly at multiple places with different directions and rotations
i have created points and axis-system at different locations
is is possible to loop this using VBA
lets imagine a rectangular curve and 2 points...
Hi all
i want to create lines on a surface using bunch of points, those lines must be in 5deg incremental
here are the steps
Step:1 - first i will create lines using normal to surface option
Step:2 - then i measure the angle between normaltosurface line and xyPlane if the angle is near to 5deg...
Hi all
I have this task where i need to find some type of hybridshapes and collect them in a listbox
i have done that part, but i need to create it in such a way that when user selects a item from the list box respective hybridshape or object should get selected in catia
here is the image
here...
is there any way to start sketcher workbench and let the user to sketch
and when the user exits the sketcher the macro should detect the sketch and create pad or pocket
is there any ways to select and delete Empty bodies and hybridbodies using macro
if the hybridbody or body doesnt contain any hybridshapes or shapes then delete it
Hi
i have a sketch and i need to find to which axis system or plane it is belonging to by vba
and then i need to make those axis system or plane as reference
how to find it using VBA
Thanks